# Uses of Interface
javax.swing.event.CellEditorListener

Packages that use CellEditorListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of CellEditorListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type CellEditorListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addCellEditorListener(CellEditorListener l)`
Adds the specified listener to receive all `CELLEDITOR` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeCellEditorListener(CellEditorListener l)`
Removes the specified listener so it no longer receives `CELLEDITOR` events when they occur.

## Uses of CellEditorListener in javax.swing

Classes in javax.swing that implement CellEditorListener
Modifier and Type
Class
Description
`class`
`JTable`
The `JTable` is used to display and edit regular two-dimensional tables of cells.
`protected class`
`JTable.AccessibleJTable`
This class implements accessibility support for the `JTable` class.
Methods in javax.swing that return CellEditorListener
Modifier and Type
Method
Description
`CellEditorListener[]`
AbstractCellEditor.`getCellEditorListeners()`
Returns an array of all the `CellEditorListener`s added to this AbstractCellEditor with addCellEditorListener().
Methods in javax.swing with parameters of type CellEditorListener
Modifier and Type
Method
Description
`void`
AbstractCellEditor.`addCellEditorListener(CellEditorListener l)`
Adds a `CellEditorListener` to the listener list.
`void`
CellEditor.`addCellEditorListener(CellEditorListener l)`
Adds a listener to the list that's notified when the editor stops, or cancels editing.
`void`
AbstractCellEditor.`removeCellEditorListener(CellEditorListener l)`
Removes a `CellEditorListener` from the listener list.
`void`
CellEditor.`removeCellEditorListener(CellEditorListener l)`
Removes a listener from the list that's notified

## Uses of CellEditorListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement CellEditorListener
Modifier and Type
Class
Description
`class`
`BasicTreeUI.CellEditorHandler`
Listener responsible for getting cell editing events and updating the tree accordingly.
Methods in javax.swing.plaf.basic that return CellEditorListener
Modifier and Type
Method
Description
`protected CellEditorListener`
BasicTreeUI.`createCellEditorListener()`
Creates a listener to handle events from the current editor.

## Uses of CellEditorListener in javax.swing.tree

Methods in javax.swing.tree that return CellEditorListener
Modifier and Type
Method
Description
`CellEditorListener[]`
DefaultTreeCellEditor.`getCellEditorListeners()`
Returns an array of all the `CellEditorListener`s added to this DefaultTreeCellEditor with addCellEditorListener().
Methods in javax.swing.tree with parameters of type CellEditorListener
Modifier and Type
Method
Description
`void`
DefaultTreeCellEditor.`addCellEditorListener(CellEditorListener l)`
Adds the `CellEditorListener`.
`void`
DefaultTreeCellEditor.`removeCellEditorListener(CellEditorListener l)`
Removes the previously added `CellEditorListener`.